unit MovimentoPorECF;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Shellapi, Mask, Buttons, IniFiles;

type
  TFormMovPorECF = class(TForm)
    BT1: TButton;
    BT3: TButton;
    StatusBar1: TStatusBar;
    procedure BT3Click(Sender: TObject);
    procedure BT1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
        procedure MovPorECFHourGlass;
        procedure MovPorECFDefault;
        procedure Aguarde;
  public
    { Public declarations }
  end;

var

  FormMovPorECF: TFormMovPorECF;
    nomearq:String;

implementation

uses Principal, declaracoes, funcoesapoio;
{$R *.dfm}

procedure TFormMovPorECF.BT3Click(Sender: TObject);
begin
        Close;
end;

procedure TFormMovPorECF.BT1Click(Sender: TObject);
var pDir: pchar;
begin
      if  MessageDlg('Esta função deverá capturar as informações do ECF no momento'+chr(13)+
                     'do registro dos itens e armazenar no Banco de Dados.' + chr(13) +
                     ' ' +Chr(13)+
                     'Para saber quais funções utilizar, oriente-se pelo Anexo VI do seguinte'+chr(13)+
                     'documento: "Funções Sweda para a implementação do PAF-ECF v01.06.pdf"' +chr (13) +
                     ' ' + chr(13)+
                     'Deseja abrir este documento agora?'
                     , mtConfirmation, [mbYes, mbNo], 0)= mrYes then
      begin


              GetMem(pDir,256);
              StrPCopy(pDir, ExtractFilePath(Application.ExeName)); {Aqui vc coloca o caminho do arquivo}
              ShellExecute(0, nil, 'Funções Sweda para a implementação do PAF-ECF v01.06.pdf', nil, pDir, SW_NORMAL);
              FreeMem(pdir,256);
      end;

end;

procedure TFormMovPorECF.FormActivate(Sender: TObject);
begin
        StatusBar1.Panels[0].Text:='';
end;

procedure TFormMovPorECF.Aguarde;
begin
        FormPrincipal.StatusBar1.Panels[1].Text:='Aguarde...';
        StatusBar1.Panels[0].Text:='Aguarde...'; Refresh;
        MovPorECFHourGlass;
end;
procedure TFormMovPorECF.MovPorECFHourGlass;
begin
        FormMovPorECF.Cursor:=crHourGlass;
        bt1.Cursor:=crHourGlass;
end;

procedure TFormMovPorECF.MovPorECFDefault;
begin
        FormMovPorECF.Cursor:=crDefault;
        bt1.Cursor:=crDefault;
end;

end.
